Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.api.stream
Interface IStreamAwareScopeHandler

All Superinterfaces:
  IEventHandler, IScopeHandler

All Known Implementing Classes:
  ApplicationAdapter, MultiThreadedApplicationAdapter

    public interface IStreamAwareScopeHandler

extends IScopeHandler

A scope handler that is stream aware.

Author:
  The Red5 Project (red5@osflash.org), Steven Gong (steven.gong@gmail.com)

Method Summary
`void` | `streamBroadcastClose(IBroadcastStream stream)` Notified when a broadcaster closes.
`void` | `streamBroadcastStart(IBroadcastStream stream)` Notified when a broadcaster starts.
`void` | `streamPlaylistItemPlay(IPlaylistSubscriberStream stream, IPlayItem item, boolean isLive)` Notified when a playlist item plays.
`void` | `streamPlaylistItemStop(IPlaylistSubscriberStream stream, IPlayItem item)` Notified when a playlist item stops.
`void` | `streamPlaylistVODItemPause(IPlaylistSubscriberStream stream, IPlayItem item, int position)` Notified when a playlist vod item pauses.
`void` | `streamPlaylistVODItemResume(IPlaylistSubscriberStream stream, IPlayItem item, int position)` Notified when a playlist vod item resumes.
`void` | `streamPlaylistVODItemSeek(IPlaylistSubscriberStream stream, IPlayItem item, int position)` Notified when a playlist vod item seeks.
`void` | `streamPublishStart(IBroadcastStream stream)` A broadcast stream starts being published.
`void` | `streamRecordStart(IBroadcastStream stream)` A broadcast stream starts being recorded.
`void` | `streamSubscriberClose(ISubscriberStream stream)` Notified when a subscriber closes.
`void` | `streamSubscriberStart(ISubscriberStream stream)` Notified when a subscriber starts.

Methods inherited from interface org.red5.server.api.IScopeHandler
`addChildScope, connect, disconnect, join, leave, removeChildScope, serviceCall, start, stop`

Methods inherited from interface org.red5.server.api.event.IEventHandler
`handleEvent`

Method Detail

### streamPublishStart

    void streamPublishStart(IBroadcastStream stream)

  A broadcast stream starts being published. This will be called when the first video packet has been received.

  Parameters:
    `stream` - stream

### streamRecordStart

    void streamRecordStart(IBroadcastStream stream)

  A broadcast stream starts being recorded. This will be called when the first video packet has been received.

  Parameters:
    `stream` - stream

### streamBroadcastStart

    void streamBroadcastStart(IBroadcastStream stream)

  Notified when a broadcaster starts.

  Parameters:
    `stream` - stream

### streamBroadcastClose

    void streamBroadcastClose(IBroadcastStream stream)

  Notified when a broadcaster closes.

  Parameters:
    `stream` - stream

### streamSubscriberStart

    void streamSubscriberStart(ISubscriberStream stream)

  Notified when a subscriber starts.

  Parameters:
    `stream` - stream

### streamSubscriberClose

    void streamSubscriberClose(ISubscriberStream stream)

  Notified when a subscriber closes.

  Parameters:
    `stream` - stream

### streamPlaylistItemPlay

    void streamPlaylistItemPlay(IPlaylistSubscriberStream stream,
                                IPlayItem item,
                                boolean isLive)

  Notified when a playlist item plays.

  Parameters:
    `stream` - stream
    `item` - item
    `isLive` - treu if live TODO

### streamPlaylistItemStop

    void streamPlaylistItemStop(IPlaylistSubscriberStream stream,
                                IPlayItem item)

  Notified when a playlist item stops.

  Parameters:
    `stream` - stream
    `item` - item

### streamPlaylistVODItemPause

    void streamPlaylistVODItemPause(IPlaylistSubscriberStream stream,
                                    IPlayItem item,
                                    int position)

  Notified when a playlist vod item pauses.

  Parameters:
    `stream` - stream
    `item` - item
    `position` - position

### streamPlaylistVODItemResume

    void streamPlaylistVODItemResume(IPlaylistSubscriberStream stream,
                                     IPlayItem item,
                                     int position)

  Notified when a playlist vod item resumes.

  Parameters:
    `stream` - stream
    `item` - item
    `position` - position

### streamPlaylistVODItemSeek

    void streamPlaylistVODItemSeek(IPlaylistSubscriberStream stream,
                                   IPlayItem item,
                                   int position)

  Notified when a playlist vod item seeks.

  Parameters:
    `stream` - stream
    `item` - item
    `position` - position

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project